import request from '@/utils/request'

// 新增广告
export function bannerAdd (data) {
  return request({
    url: '/info/ad/add',
    method: 'post',
    data
  })
}
// 修改广告
export function bannerEdit (data) {
  return request({
    url: '/info/ad/edit',
    method: 'post',
    data
  })
}
// 查询广告列表
export function bannerPage (query) {
  return request({
    url: '/info/ad/page',
    method: 'get',
    params: query
  })
}
// 获取广告详细信息
export function bannerInfo (adId) {
  return request({
    url: `/info/ad/info/${adId}`,
    method: 'get',
  })
}
// 修改广告状态
export function bannerSetStatus (id) {
  return request({
    url: `/info/ad/setStatus/${id}`,
    method: 'post',
  })
}
// 删除广告
export function bannerDelSingle (id) {
  return request({
    url: `/info/ad/delSingle/${id}`,
    method: 'post',
  })
}